Overview | Package | Class | Tree | Deprecated | Index | Help
| XQJ v1.0, Jan 14, 2008
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xquery
Class XQConnectionEvent

    java.lang.Object
      java.util.EventObject
          javax.xml.xquery.XQConnectionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class XQConnectionEvent

extends java.util.EventObject

An event object that provides information about the source of a connection-related event. `XQConnectionEvent` objects are generated when an application closes a pooled connection and when an error occurs. The `XQConnectionEvent` object contains the folowing information:

- The pooled connection closed by the application
- In the case of an error, the `XQException` to be thrown to the application

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`XQConnectionEvent(PooledXQConnection con)` Constructs an `XQConnectionEvent` object initialized with the given `PooledXQConnection` object.
`XQConnectionEvent(PooledXQConnection con, XQException ex)` Constructs an `XQConnectionEvent` object initialized with the given `PooledXQConnection` object and `XQException` object.

Method Summary
`XQException` | `getXQException()` Retrieves the `XQException` for this `XQConnectionEvent` object.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQConnectionEvent

    public XQConnectionEvent(PooledXQConnection con)

  Constructs an `XQConnectionEvent` object initialized with the given `PooledXQConnection` object. `XQException` defaults to `null`.

  Parameters:
    `con` - the pooled connection that is the source of the event

### XQConnectionEvent

    public XQConnectionEvent(PooledXQConnection con,
                             XQException ex)

  Constructs an `XQConnectionEvent` object initialized with the given `PooledXQConnection` object and `XQException` object.

  Parameters:
    `con` - the pooled connection that is the source of the event
    `ex` - the XQException to be thrown to the application

Method Detail

### getXQException

    public XQException getXQException()

  Retrieves the `XQException` for this `XQConnectionEvent` object.

  Returns:
    the `XQException` to be thrown or `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| XQJ v1.0, Jan 14, 2008
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2006, 2007, 2008 Oracle. All rights reserved.